Get characteristic
GET
/api/v2/characteristic/{id}/
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://pokeapi.co/api/v2/characteristic/example/"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://pokeapi.co/api/v2/characteristic/example/")) .method("GET", HttpRequest.BodyPublishers.noBody()) .build();HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());System.out.println(response.body());OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder() .url("https://pokeapi.co/api/v2/characteristic/example/") .get() .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = {method: 'GET', url: 'https://pokeapi.co/api/v2/characteristic/example/'};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://pokeapi.co/api/v2/characteristic/example/';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use reqwest;
#[tokio::main]pub async fn main() { let url = "https://pokeapi.co/api/v2/characteristic/example/";
let client = reqwest::Client::new(); let response = client.get(url) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request GET \ --url https://pokeapi.co/api/v2/characteristic/example/wget --quiet \ --method GET \ --output-document \ - https://pokeapi.co/api/v2/characteristic/example/Characteristics indicate which stat contains a Pokémon’s highest IV. A Pokémon’s Characteristic is determined by the remainder of its highest IV divided by 5 (gene_modulo). Check out Bulbapedia for greater detail.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
This parameter can be a string or an integer.
Responses
Section titled “Responses”Media typeapplication/json
object
id
required
integer
gene_modulo
required
integer
possible_values
required
Array<integer>
highest_stat
required
object
name
required
string
url
required
string format: uri
descriptions
required
Array<object>
object
description
string
language
required
object
name
required
string
url
required
string format: uri
Example
{ "possible_values": [ 0, 5, 10, 15, 20, 25, 30 ]}